/// A Leitmotif `styles` class containing animation durations for various
/// use cases.
class LitAnimationDurations {
  /// The default appear animation duration.
  static const appearAnimation = const Duration(
    milliseconds: 500,
  );

  /// The default animation duration on the dialog's appear animation.
  static const dialogContentAppear = const Duration(
    milliseconds: 100,
  );

  /// The default animation duration on buttons.
  static const button = const Duration(
    milliseconds: 120,
  );

  /// The default animation duration on buttons.
  static const medium = const Duration(
    milliseconds: 300,
  );

  /// The default animation duration on repeated button animations.
  static const buttonRepeat = const Duration(
    milliseconds: 1000,
  );
}
